nm-applet is being autostarted under gnome-shell, Again....

Bug #1315996 reported by Tim Lunn on 2014-05-05
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
network-manager-applet (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned

Bug Description

[Impact]
gnome-shell provides its own built-in network manager client, so does not require nm-applet to be running. however currently on a gnome-shell session,
nm-applet will be running.

[Test case]
Run gnome-shell session and see a nm-applet process running

[Regression Potential]
None, nm-applet is not required in a gnome-shell session

=== Original Bug Report ===
nm-applet is no longer required under gnome-shell. Yet once again it is being autostarted again (I already fixed this once, but seems the patch was dropped)

ProblemType: BugDistroRelease: Ubuntu 14.10
Package: network-manager-gnome 0.9.8.8-0ubuntu4
ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
Uname: Linux 3.13.0-24-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.14.2-0ubuntu2
Architecture: amd64
Date: Mon May 5 14:37:37 2014
InstallationDate: Installed on 2012-09-23 (589 days ago)
InstallationMedia: Ubuntu GNOME Remix 12.10 "Quantal Quetzal" - Alpha amd64(20120922)
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=false
 WWANEnabled=true
 WimaxEnabled=true
RfKill:

SourcePackage: network-manager-applet
UpgradeStatus: No upgrade log present (probably fresh install)
nmcli-dev:
 DEVICE TYPE STATE DBUS-PATH
 eth0.14 vlan unmanaged /org/freedesktop/NetworkManager/Devices/2
 test vlan unmanaged /org/freedesktop/NetworkManager/Devices/1
 eth0 802-3-ethernet unmanaged /org/freedesktop/NetworkManager/Devices/0
nmcli-nm:
 RUNNING VERSION STATE NET-ENABLED WIFI-HARDWARE WIFI WWAN-HARDWARE WWAN
 running 0.9.8.8 connected enabled enabled disabled enabled disabled

Tim Lunn (darkxst) wrote :
Tim Lunn (darkxst) wrote :

Don't autostart nm-applet under gnome-shell session.
Should be uploaded to trusty-proposed as well!

Dmitry Shachnev (mitya57) wrote :

I think this is intended (upstream) behaviour. See https://git.gnome.org/browse/network-manager-applet/commit/?id=e192e83c1aa136512a9d4f026f81677799af8127:

"Change the shell interaction code so that we only create an NMSecretAgent if the shell is not running, and we permanently destroy it if the shell ever starts up."

I.e. nm-applet is autostarted, but immediately destroys itself when gnome-shell is detected.

Tim Lunn (darkxst) wrote :

well that is not working. nm-applet is never getting destroyed here under gnome-shell

Dmitry Shachnev (mitya57) wrote :

If upstream logic is not working, please at least file a bug upstream.

P.S. I have nothing against your patch, though I also don't have rights to upload it to archive.

Martin Pitt (pitti) wrote :

Isn't the only thing that's missing here to add git_dont_autostart_under_GNOME.patch to debian/patches/series ?

Martin Pitt (pitti) wrote :

Ah, it doesn't apply any more and was reverted upstream.

Martin Pitt (pitti) wrote :

Sponsored and committed to packaging branch for utopic.

Changed in network-manager-applet (Ubuntu Utopic):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Sponsored trusty-proposed upload. This still needs some SRU paperwork, can you please add it? Thanks!

Changed in network-manager-applet (Ubuntu Trusty):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager-applet - 0.9.8.8-0ubuntu6

---------------
network-manager-applet (0.9.8.8-0ubuntu6) utopic; urgency=medium

  * Bring back Autostart Condition, we don't want nm-applet running in a
    gnome-shell session. (LP: #1315996)
 -- Tim Lunn <email address hidden> Wed, 04 Jun 2014 15:14:54 +0200

Changed in network-manager-applet (Ubuntu Utopic):
status: Fix Committed → Fix Released

Thanks for uploading the fix for this bug report to -proposed. However, when reviewing the package in -proposed and the details of this bug report I noticed that the bug description is missing information required for the SRU process. You can find full details at http://wiki.ubuntu.com/StableReleaseUpdates#Procedure but essentially this bug is missing some of the following: a statement of impact, a test case and details regarding the regression potential. Thanks in advance!

Tim Lunn (darkxst) wrote :

Brian, Have added the SRU paperwork now

description: updated

Hello Tim, or anyone else affected,

Accepted network-manager-applet into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/network-manager-applet/0.9.8.8-0ubuntu4.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in network-manager-applet (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Peter Matulis (petermatulis) wrote :

I verified the -proposed fix on Trusty. nm-applet was no longer running after logging in to GNOME.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager-applet - 0.9.8.8-0ubuntu4.2

---------------
network-manager-applet (0.9.8.8-0ubuntu4.2) trusty-proposed; urgency=medium

  * Bring back Autostart Condition, we don't want nm-applet running in a
    gnome-shell session. (LP: #1315996)
 -- Tim Lunn <email address hidden> Wed, 04 Jun 2014 15:14:54 +0200

Changed in network-manager-applet (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for network-manager-applet has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers